package minischeme

class Position(val file: String, val line: Int, val column: Int);

abstract class Token {
  var pos: Position = _
}
case class IdentToken(name: String) extends Token
case class StringToken(value: String) extends Token
case class NumberToken(value: Int) extends Token
case object LeftParen extends Token
case object RightParen extends Token
case object EOF extends Token
